Value relation widgets are not correctly disabled when editing is disabled

2017-11-30 09:31 AM - Andreas Neumann

Status: Closed

Priority: High

Assignee:

Category: Edit widget

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25489

Description

When the editing state is off, value relation widgets are still enabled. They should be disabled (greyed out) like all the other widgets, when

editing state is off.

See screenshot attached.

Associated revisions

Revision 167fbf6d - 2017-12-27 10:04 PM - Matthias Kuhn 

Value relation widget respects read only mode

Fix #17592

History

#1 - 2017-11-30 04:30 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Status changed from Open to Feedback

Regression?

#2 - 2017-12-12 04:06 PM - Matthias Kuhn

- Status changed from Feedback to In Progress

https://github.com/qgis/QGIS/pull/5853

#3 - 2017-12-28 08:10 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|167fbf6d536a65213d507dabb3546230a8e939f3.

#4 - 2018-02-22 11:14 AM - Giovanni Manghi
https://github.com/qgis/QGIS/pull/5853


- Resolution set to fixed/implemented
